package com.smppw.modaq.domain.dto.report;

import com.smppw.modaq.common.enums.ReportType;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class LetterReportData extends ReportData {
    private ReportInvestorInfoDTO investorInfo;
    private ReportFundTransactionDTO fundTransaction;

    public LetterReportData(ReportBaseInfoDTO baseInfo, ReportFundInfoDTO fundInfo) {
        super(baseInfo, fundInfo);
    }

    @Override
    public ReportType getReportType() {
        return ReportType.LETTER;
    }

    @Override
    public String toString() {
        return "{" +
                super.toString() +
                ", investorInfo=" + investorInfo +
                ", fundTransaction=" + fundTransaction +
                '}';
    }
}
